### Constructor

# Phosh NetworkAuthPrompt new

#### Declaration [src]

    GtkWidget*
    phosh_network_auth_prompt_new (
      ShellNetworkAgent* agent
    )

#### Description

No description available.

This method is not directly available to language bindings.

#### Parameters

`agent`

  Type: `ShellNetworkAgent*`

  No description available.

  The data is owned by the caller of the function.

#### Return value

Type: `GtkWidget`

No description available.

The data is owned by the called function.